import React, { ComponentPropsWithoutRef } from 'react';
import { Sizes } from '../../@types';
export declare enum Variant {
    'primary' = 0,
    'secondary' = 1,
    'white' = 2,
    'tertiary' = 3,
    'danger' = 4,
    'danger-tertiary' = 5
}
export declare enum RoundedType {
    'rounded' = 0,
    'rounded-full' = 1,
    'circular' = 2
}
export declare enum IconPos {
    'leading' = 0,
    'trailing' = 1
}
export interface IButtonProps extends ComponentPropsWithoutRef<'button'> {
    /**
     * Defines the dimensions of the button
     */
    size?: keyof typeof Sizes;
    /**
     * Defines if the button is disabled
     */
    disabled?: boolean;
    /**
     * Defines the background & text color of the button
     */
    variant?: keyof typeof Variant;
    /**
     * Defines the corner variant of the button
     */
    rounded?: keyof typeof RoundedType;
    /**
     * Defines icon position inside button
     */
    iconPos?: keyof typeof IconPos;
    /**
     * Defines icon
     */
    iconType?: string;
    /**
     * Defines the style and icon it self if iconType === 'font-awesome'
     */
    iconClass?: string;
    /**
     * Defines the icon size
     */
    iconSize?: number;
}
export declare const buttonStyles: any;
export declare const roundedStyles: Record<string, string>;
declare const Button: React.ForwardRefExoticComponent<IButtonProps & React.RefAttributes<HTMLButtonElement>>;
export default Button;
//# sourceMappingURL=Button.d.ts.map